package com.sxtvs.open.api.bid.controller;

import com.sxtvs.open.api.bid.dto.FileImportDTO;
import com.sxtvs.open.api.bid.service.impl.BidFilesServiceImpl;
import com.sxtvs.open.api.bid.service.impl.BidProjectServiceImpl;
import com.sxtvs.open.api.h5template.service.impl.OSSService;
import com.sxtvs.open.api.review.entity.ReviewImgRecord;
import com.sxtvs.open.core.auth.LoginRequired;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * <p>
 * 标书文件 前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-04-23
 */
@RestController
@RequestMapping("/bid/files")
public class BidFilesController {

    @Resource
    private BidProjectServiceImpl bidProjectService;

    @Resource
    private OSSService ossService;

    @PostMapping("create")
    @LoginRequired
    public void create(@RequestBody FileImportDTO fileImportDTO){
        bidProjectService.fileImport(fileImportDTO);
    }

    @PostMapping("uploads")
    @LoginRequired
    public List<String> upload(@RequestParam(value = "id") Long id, @RequestParam("files") MultipartFile[] file){
        List<String> urls = new ArrayList<>();
        for( MultipartFile multipartFile : file){
            String s;
            if(Objects.requireNonNull(multipartFile.getOriginalFilename()).endsWith(".doc")){
                s = ossService.bidDocPut(multipartFile, id);
            }else{
               s = ossService.bidPut(multipartFile, id);
            }
            urls.add(s);
        }
        return urls;
    }

}
